Debian DLA-3678-1:horizon - LTS 安全性更新

medium Nessus Plugin ID 186512

概要

遠端 Debian 主機缺少與安全性相關的更新。

說明

遠端 Debian 10 主機上安裝的多個套件受到 dla-3678 公告中提及的一個弱點影響。

- 在 19.4.0 至 20.1.4 的 Horizon Web Dashboard 中,success_url 參數會引起開放重新導向弱點。
(CVE-2022-45582)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

升級 horizon 套件。

針對 Debian 10 buster,已在第 3 版中修正此問題

另請參閱

https://security-tracker.debian.org/tracker/source-package/horizon

https://www.debian.org/lts/security/2023/dla-3678

https://security-tracker.debian.org/tracker/CVE-2022-45582

https://packages.debian.org/source/buster/horizon

Plugin 詳細資訊

嚴重性: Medium

ID: 186512

檔案名稱: debian_DLA-3678.nasl

版本: 1.0

類型: local

代理程式: unix

已發布: 2023/12/1

已更新: 2023/12/1

支援的感應器: Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

風險資訊

VPR

風險因素: Low

分數: 3.0

CVSS v2

風險因素: Medium

基本分數: 6.4

時間分數: 4.7

媒介: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

CVSS 評分資料來源: CVE-2022-45582

CVSS v3

風險因素: Medium

基本分數: 6.1

時間分數: 5.3

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:debian:debian_linux:horizon-doc, p-cpe:/a:debian:debian_linux:openstack-dashboard, p-cpe:/a:debian:debian_linux:openstack-dashboard-apache, p-cpe:/a:debian:debian_linux:python3-django-horizon, cpe:/o:debian:debian_linux:10.0

必要的 KB 項目: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2023/12/1

弱點發布日期: 2023/8/22

參考資訊

CVE: CVE-2022-45582